---  
layout: fr  
title: OPENENET-MS01-MoneroSpace-Decentralized-Satellite-Network
author: OPENENET Team
date: April 13, 2025  
amount: 550 XMR  
milestones:  
  - name: Team Formation  
    funds: 3 XMR  
    done: false  
    status: unfinished  
  - name: Feasibility Whitepaper  
    funds: 5 XMR  
    done: false  
    status: unfinished  
  - name: Prototype 1 Design & Hardware Drawings  
    funds: 10 XMR  
    done: false  
    status: unfinished  
  - name: Prototype 1 Fabrication & Radiation Report  
    funds: 40 XMR  
    done: false  
    status: unfinished  
  - name: Spectrum & Orbit Application  
    funds: 2 XMR  
    done: false  
    status: unfinished  
  - name: Chengdu Ground Station 01 Completion  
    funds: 30 XMR  
    done: false  
    status: unfinished  
  - name: Prototype 1 Launch to Orbit  
    funds: 80 XMR  
    done: false  
    status: unfinished  
  - name: Public Release of Network Card Design & Software  
    funds: 10 XMR  
    done: false  
    status: unfinished  
  - name: Community Wallet Compatibility Development  
    funds: 10 XMR  
    done: false  
    status: unfinished  
  - name: Testnet Launch  
    funds: 10 XMR  
    done: false  
    status: unfinished  
  - name: Prototype 2 Fabrication & Radiation Report  
    funds: 30 XMR  
    done: false  
    status: unfinished  
  - name: Prototype 2 Launch & First Networking  
    funds: 70 XMR  
    done: false  
    status: unfinished  
  - name: Reykjavik Ground Station 02 Completion  
    funds: 50 XMR  
    done: false  
    status: unfinished  
  - name: Zug Ground Station 03 Completion  
    funds: 50 XMR  
    done: false  
    status: unfinished  
  - name: Prototype 3 Fabrication & Radiation Report  
    funds: 30 XMR  
    done: false  
    status: unfinished  
  - name: Prototype 3 Launch & Tri-Satellite Networking  
    funds: 70 XMR  
    done: false  
    status: unfinished  
  - name: Mainnet Integration & Developer Collaboration  
    funds: 10 XMR  
    done: false  
    status: unfinished  
  - name: New York Ground Station 04 Completion  
    funds: 30 XMR  
    done: false  
    status: unfinished  
  - name: Network Maintenance & Future Expansion  
    funds: 10 XMR  
    done: false  
    status: unfinished  
payouts:  
  - date: 2025-5-10  
    amount: 3 XMR  
  - date: 2025-5-27  
    amount: 5 XMR  
  - date: 2025-9-10  
    amount: 10 XMR  
  - date: 2025-11-10  
    amount: 40 XMR  
  - date: 2025-12-10  
    amount: 2 XMR  
  - date: 2026-3-10  
    amount: 30 XMR  
  - date: 2026-4-10  
    amount: 80 XMR  
  - date: 2026-4-20  
    amount: 10 XMR  
  - date: 2026-5-27  
    amount: 10 XMR  
  - date: 2026-6-10  
    amount: 10 XMR  
  - date: 2026-10-10  
    amount: 30 XMR  
  - date: 2026-10-28  
    amount: 70 XMR  
  - date: 2026-12-10  
    amount: 50 XMR  
  - date: 2026-12-30  
    amount: 50 XMR  
  - date: 2027-3-10  
    amount: 30 XMR  
  - date: 2027-5-28  
    amount: 70 XMR  
  - date: 2027-6-10  
    amount: 10 XMR  
  - date: 2027-7-27  
    amount: 30 XMR  
  - date: 2027-8-1  
    amount: 10 XMR  
---  


# OPENENET-MS01-MoneroSpace-Decentralized-Satellite-Network
**Proposal ID: OPENENET-MS01**  
- **Project Repository**: [https://git.openenet.cn/MoneroSpace](https://git.openenet.cn/MoneroSpace) (Gitea open-source repo for hardware designs and protocol code)  
- **Collaboration Platform**: [https://cloud.openenet.cn](https://cloud.openenet.cn) (NextCloud encrypted space, request access via admin@openenet.cn)  
- **CCS Proposal Page**: [https://repo.getmonero.org/monero-project/ccs-proposals/-/merge_requests/577](https://repo.getmonero.org/monero-project/ccs-proposals/-/merge_requests/577)  


## 1. Who We Are?  
Led by Monero community developer Jackie, the **OPENENET Team** is dedicated to building a censorship-resistant decentralized infrastructure. Our mission: complete the world’s first Monero-specific satellite network through 19 verifiable milestones. Additionally, we will announce the members after the completion of the first milestone


## 2. What We Aim to Achieve?  
Construct a **geography-and-regulation-independent Monero access network** with three core focuses:  
### 2.1 **Censorship-Resistant Communication Layer**  
- Build 4 ground stations in low-regulation regions (Chengdu, Reykjavik, Zug, New York), bypassing firewalls to provide direct Monero access for users in censored areas like North Korea and Syria.  
- Use dynamic frequency hopping (128 frequencies/10s) and random inter-satellite routing to increase signal interception costs by 10x, ensuring uninterrupted transaction broadcasting.  

### 2.2 **Privacy-Enhanced Architecture**  
- Inject 30% dummy transactions during satellite forwarding to obfuscate real traffic, expanding the anonymity set 5x when combined with Monero’s native ring signatures.  
- Ground stations connect to the mainnet via 3-hop Tor relays, achieving 99.9% node IP anonymity for end-to-end privacy protection.  

### 2.3 **Open-Source Ecosystem**  
- All satellite hardware designs (CAD drawings, BOM lists) and software protocols (laser communication code) are open-sourced under CERN-OHL/MIT licenses, allowing anyone to deploy their own nodes.  
- Testnet opens API access for community developers to optimize routing algorithms, with future integration into official wallets planned to lower user access barriers.  


## 3. Milestones and Funding Transparency  
### 3.1 **Key Deliverables**  
| **Date**          | **Major Achievement**                                                          | **Fund Usage**                          |  
|-------------------|-----------------------------------------------------------------------------|-----------------------------------|  
| 2025-11-10        | Complete first satellite prototype, pass 100krad radiation testing (5+ years of space operation), with independent lab certification. | Hardware materials, radiation testing services               |  
| 2026-04-10        | Launch Prototype 1 into a 500km LEO orbit, establishing the first satellite-ground station communication link for cross-continental signal relay. | Launch services, orbit registration fees                  |  
| 2026-06-10        | Launch testnet supporting 100+ nodes for transaction broadcasting simulation, with API access for third-party developers.               | Software development, server hosting, community incentives           |  
| 2027-05-28        | Achieve tri-satellite networking covering 60% of the Northern Hemisphere, enabling automatic switching between laser and RF links with 99.5% availability. | Multi-satellite coordination algorithm development, ground station expansion        |  

### 3.2 **Fund Accountability**  
- **Stage-Based Payouts**: Funds are released only after milestone completion, verified by public evidence (e.g., hardware test videos, ITU application receipts) on Gitea.  
- **Independent Audit**: Financial reports, including hardware invoices and team compensation, are shared via [https://cloud.openenet.cn](https://cloud.openenet.cn) (encrypted storage, community identity verification required for access).  


## 4. Value to the Monero Ecosystem  
### 4.1 **Bridging Access Gaps and Strengthening Resistance**  
Current Monero limitations in critical scenarios:  
- **Geographical Isolation**: No access in oceanic/desert areas without base stations; our satellite network enables "off-grid" connectivity.  
- **Regulatory Blockades**: High-censorship countries block node IPs; our satellite-Tor combination creates a "regulatory bypass channel" for continuous network access.  

### 4.2 **Advantages Over Commercial Alternatives**  
| **Dimension**       | MoneroSpace                          | Commercial Satellite Solutions (e.g., Starlink Enterprise)       | Traditional Blockchain Projects         |  
|------------------|------------------------------------|---------------------------------------|-----------------------------------|  
| **Decentralization**| Open-source hardware + third-party deployment, no single point of control         | Corporate monopoly on infrastructure, potential government data requests | Reliant on ground networks, vulnerable to regional blockades |  
| **Privacy**      | End-to-end encryption + path obfuscation, fully hidden transaction details        | Link encryption only, user behavior parsable by operators         | Blockchain-layer privacy only, network layer traceable       |  
| **Community Ownership**| Full technical openness, enabling DIY ground stations (cost <$5000)               | Closed systems, enterprise-only partnerships                  | Closed infrastructure, no user participation       |  


## 5. Why Support This Proposal?  
### 5.1 **Monero’s "Space Infrastructure"**  
Monero’s vision of "trustless financial freedom" requires infrastructure beyond terrestrial limits. MoneroSpace is not optional—it’s essential:  
- **Short-Term**: Restore Monero access for lots of users in censored regions, protecting their financial autonomy from network blockades.  
- **Long-Term**: Build a nuclear-hardened, self-sustaining network where satellites maintain transaction broadcasting even if ground infrastructure is destroyed.  

### 5.2 **Community-Driven Development**  
As a CCS proposal, we commit to:  
- **Open-Source Transparency**: All technical resources are publicly available for audit and contribution ([https://git.openenet.cn/MoneroSpace](https://git.openenet.cn/MoneroSpace)).  
- **Progress Updates**: Weekly dev logs on Gitea, "monthly atellite Network Progress Report" on Gitea, detailing fund usage and technical milestones.  
- **Clear Accountability**: Any third-party funding agreements will be publicly disclosed, with core project control remaining in community hands; lead developer Jackie assumes primary execution responsibility.  


## 6. Network Architecture  

### 6.1 Satellite Node Hardware Schematic  
```mermaid  
graph TD  
    A[Power Subsystem] --> B[Deployable Solar Panels]
    A --> C[Redundant Batteries]
    D[Communication Subsystem] --> E[Laser Transceiver]
    D --> F[RF Transceiver]  
    G[Processing Subsystem] --> H[Radiation-Hardened CPU]  
    G --> I[Error-Correcting Memory]  
    B --> J[Power Management Unit]  
    E --> K[Beam Steering Module]  
    F --> L[Antenna Deployment Mechanism]  
    J --> G  
    K --> D  
    L --> D  
    
```  

### 6.2 Three-Layer Communication Architecture  
```mermaid  
graph TB  
    subgraph User Layer  
        U[User Terminal] -->|UHF 400-470MHz| S[Satellite Node]  
    end  
    subgraph Satellite Layer  
        S -->|Laser Link| N1[Neighbor Satellite 1]  
        S -->|Laser Link| N2[Neighbor Satellite 2]  
        N1 -->|RF Link| G[Ground Station]  
        N2 -->|RF Link| G  
    end  
    subgraph Ground Layer  
        G[Neutral Ground Station] -->|Tor Network| M[Monero Mainnet]  
    end  
```  


## 7. How to Get Involved  
1. **Technical Contribution**: Submit code PRs or participate in testnet stress tests (Gitea registration required).  
2. **Collaboration**: Email admin@openenet.cn to join ground station construction or hardware testing teams.  
3. **Community Support**: Share the proposal link on Monero forums, Reddit, and Telegram to raise awareness about censorship-resistant infrastructure.  


**Proposer**: OPENENET Team  
**Lead Developer**: Jackie
**Deadline**: December 28, 2035 (Unused funds returned to CCS General Fund)  
**Contact**: admin@openenet.cn  
**Date**: April 13, 2025